@echo off
TITLE Redmi Note4x  TWRP Recovery
color 17
echo.
ECHO. =================================================
echo. 
echo      Make sure USB debugging is Enabled 
echo      To do so ...
echo      Goto About phone tap MIUI version 8 times to
echo      activate Developer options
echo      Next Goto Additional settings/Developer
echo      options/USB debugging/Enable it
echo      Connect your Redmi Note4x via USB cable now ...
echo.
echo            Press any key to continue ...
echo.
ECHO. =================================================
pause >nul
CLS
ECHO. =================================================
echo.
echo            Reboot into fastboot mode
echo.
echo            Press any key to continue ...
echo.
ECHO. =================================================
echo.
echo.
pause >nul
CLS
fastboot.exe flash recovery 1234.img
ECHO. =================================================
echo.
echo    Wait for a couple of seconds ...
echo.
echo               Successfully ...
echo.
echo    Press any key to reboot to recovery mode ...
echo.
ECHO. =================================================
echo.
echo.
pause >nul
CLS
fastboot.exe boot 1234.img
ECHO. =================================================
echo.
echo    Congratulations, success!
echo.
ECHO. =================================================
pause >nul
